Imports DigitalData.Modules.EDMI.API.EDMIServiceReference
Imports DigitalData.Modules.Logging

Namespace Modules
    Public Class BaseMethod
        Friend ReadOnly LogConfig As LogConfig
        Friend ReadOnly Logger As Logger
        Friend ReadOnly Channel As IEDMIServiceChannel

        Public Sub New(pLogConfig As LogConfig, pChannel As IEDMIServiceChannel)
            LogConfig = pLogConfig
            Logger = pLogConfig.GetLogger()
            Channel = pChannel
        End Sub
    End Class

End Namespace